edu.ucsb.nceas.metacat.oaipmh.harvester

## Class ListIdentifiers

- java.lang.Object
- - edu.ucsb.nceas.metacat.oaipmh.harvester.HarvesterVerb
  - - edu.ucsb.nceas.metacat.oaipmh.harvester.ListIdentifiers

-     public class ListIdentifiers
      extends HarvesterVerb

  This class represents an ListIdentifiers response on either the server or on the client.
  Author:
    Duane Costa, University of New Mexico, LTER Network Office, Jeffrey A. Young, OCLC Online Computer Library Center

- - ### Field Summary

    - ### Fields inherited from class edu.ucsb.nceas.metacat.oaipmh.harvester.HarvesterVerb

      `SCHEMA_LOCATION_V2_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListIdentifiers()` Mock object constructor (for unit testing purposes)
    `ListIdentifiers(java.lang.String baseURL, java.lang.String resumptionToken)` Client-side ListIdentifiers verb constructor (resumptionToken version)
    `ListIdentifiers(java.lang.String baseURL, java.lang.String from, java.lang.String until, java.lang.String metadataPrefix, java.lang.String setSpec)` Client-side ListIdentifiers verb constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResumptionToken()` Get the oai:resumptionToken from the response

    - ### Methods inherited from class edu.ucsb.nceas.metacat.oaipmh.harvester.HarvesterVerb

      `getDocument, getErrors, getNodeList, getRequestURL, getSchemaLocation, getSingleString, runVerb, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListIdentifiers

          public ListIdentifiers()

      Mock object constructor (for unit testing purposes)

    - #### ListIdentifiers

          public ListIdentifiers(java.lang.String baseURL,
                                 java.lang.String from,
                                 java.lang.String until,
                                 java.lang.String metadataPrefix,
                                 java.lang.String setSpec)
                          throws java.io.IOException,
                                 javax.xml.parsers.ParserConfigurationException,
                                 org.xml.sax.SAXException,
                                 javax.xml.transform.TransformerException

      Client-side ListIdentifiers verb constructor
      Parameters:
        `baseURL` - baseURL of the OAI-PMH provider to be queried
        `from` - the from date, e.g. "2000-01-01"
        `until` - the until date. e.g. "2009-12-31"
        `metadataPrefix` - the metadata prefix, e.g. "oai_pmh"
        `setSpec` - the set specifier
      Throws:
        `MalformedURLException` - the baseURL is bad
        `org.xml.sax.SAXException` - the xml response is bad
        `java.io.IOException` - an I/O error occurred
        `javax.xml.parsers.ParserConfigurationException`
        `javax.xml.transform.TransformerException`

    - #### ListIdentifiers

          public ListIdentifiers(java.lang.String baseURL,
                                 java.lang.String resumptionToken)
                          throws java.io.IOException,
                                 javax.xml.parsers.ParserConfigurationException,
                                 org.xml.sax.SAXException,
                                 javax.xml.transform.TransformerException

      Client-side ListIdentifiers verb constructor (resumptionToken version)
      Parameters:
        `baseURL` - baseURL of the OAI-PMH provider to be queried
        `resumptionToken` - the resumptionToken string, as returned by the provider server
      Throws:
        `java.io.IOException`
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `javax.xml.transform.TransformerException`

  - ### Method Detail

    - #### getResumptionToken

          public java.lang.String getResumptionToken()
                                              throws javax.xml.transform.TransformerException,
                                                     java.lang.NoSuchFieldException

      Get the oai:resumptionToken from the response
      Returns:
        the oai:resumptionToken value
      Throws:
        `javax.xml.transform.TransformerException`
        `java.lang.NoSuchFieldException`

Copyright © 2020 Regents of the University of California. All Rights Reserved.